/*
Theme Name:   Divi-child-basic-v11 Theme
Theme URI:    -
Description:  Child Theme for BHP Basic Template Version 11
Author:       Röser MEDIA
Author URI:   -
Template:     Divi
Version:      1.0.0
License:      GNU General Public License v2 or later
License URI:  http://www.gnu.org/licenses/gpl-2.0.html
*/

/* open-sans-regular - latin */
@font-face {
  font-display: swap; 
  font-family: 'Open Sans';
  font-style: normal;
  font-weight: 400;
  src: url('https://roeser-webseiten.de/fonts/open-sans-v35-latin-regular.woff2') format('woff2'),
       url('https://roeser-webseiten.de/fonts/open-sans-v35-latin-regular.ttf') format('truetype'); 
}
/* open-sans-600 - latin */
@font-face {
  font-display: swap; 
  font-family: 'Open Sans';
  font-style: normal;
  font-weight: 600;
  src: url('https://roeser-webseiten.de/fonts/open-sans-v35-latin-600.woff2') format('woff2'), 
       url('https://roeser-webseiten.de/fonts/open-sans-v35-latin-600.ttf') format('truetype'); 
}

/* montserrat-600 - latin */
@font-face {
  font-display: swap; 
  font-family: 'Montserrat';
  font-style: normal;
  font-weight: 600;
  src: url('https://roeser-webseiten.de/fonts/montserrat-v29-latin-600.woff2') format('woff2'),
       url('https://roeser-webseiten.de/fonts/montserrat-v29-latin-600.ttf') format('truetype');
}

/* basic styles */
*{
  padding:0;
  margin:0;
}
:root {
	--colorNavigationActive:#ed2620;
	--colorSubmitButton: #0d5ea7;
	--colorSubmitButtonHover: #ed2620;
  --fontDefault:'Open Sans',sans-serif;
  --fontHeader:'Montserrat',sans-serif;
}
#page-container, #main-header {
  margin-inline: auto;
}
body, #cmplz-document, #cmplz-document p {
  font-family: var(--fontDefault);
}
h1,h2, h3, h4, h5, h6 {
  font-family: var(--fontHeader);
}
p + h2, p + h3, p + h4, p + h5, p + h6, h1 + div h2:first-child {
  padding-top: 1.4em;
}
#main-content a:not(.et_pb_button){
  text-decoration: underline;
}
#main-content a.et_pb_button, #main-content a.et-pb-arrow-next, #main-content a.et-pb-arrow-prev{
  text-decoration: none;
}
p:not(.has-background):last-of-type + ul {
  padding-top: 1em;
}

/*menu styles */
#top-menu li a.ds-menu-active, #et_mobile_nav_menu li a.ds-menu-active{
  text-decoration: underline;
  text-underline-offset: 12px;
  text-decoration-color: var(--colorNavigationActive);
  text-decoration-thickness: 3px;
}

/* content */
.blurb-teaser .et_pb_blurb_container {
  padding: 1em;
}
.li-check ul li{
  display: inline-block;
}
/* Slider Styles */
.et-pb-controllers a{
  border-radius: 50px;
    width: 15px;
    height: 15px;
    margin-right: 28px;
}
.et-pb-arrow-prev, .et-pb-arrow-next{
  opacity: .7;
}
.et-pb-arrow-prev{
  left: 22px;
}
.et-pb-arrow-next{
  right: 22px;
}
@media (min-width: 981px) {
  .blurb-teaser .et_pb_blurb_container {
    padding: 1.4em;
  }
}
@media screen and (min-width:576px){
  .grid-flex .et_pb_column{
    display: flex;
    flex-direction: row;
    gap: 21px;
    justify-content: space-evenly;
  }
}
@media screen and (max-width: 980px){
  .swap-on-mobile, .swap-on-mobil{
    display: flex;
    flex-direction: column-reverse;
  }
  .swap-on-mobile .et-last-child, .swap-on-mobil .et-last-child{
    margin-bottom: 30px !important;
  }
}

/* contact form */
div.wpforms-container-full button[type=submit]:not(:hover):not(:active){
  background-color: var(--colorSubmitButton);
}
div.wpforms-container-full button[type=submit]:hover{
  background-color: var(--colorSubmitButtonHover);
}
div.wpforms-container-full .wpforms-field-sublabel, .wp-core-ui div.wpforms-container-full .wpforms-field-sublabel,
div.wpforms-container-full .wpforms-field-description, div.wpforms-container-full .wpforms-field-limit-text, .wp-core-ui div.wpforms-container-full .wpforms-field-description, .wp-core-ui div.wpforms-container-full .wpforms-field-limit-text{
    color: #000;
}
/* Footer Styles */
#et-footer-nav .bottom-nav li.current-menu-item a, #footer-widgets .footer-widget li.current_page_item a{
  text-decoration: underline;
}